# std::_Vector_base< _Tp, _Alloc > Struct Template Reference

See bits/stl_deque.h's _Deque_base for an explanation. More...

Inheritance diagram for std::_Vector_base< _Tp, _Alloc >:
[legend]

List of all members.

## Public Types

- typedef _Alloc::template
  rebind< _Tp >::other _Tp_alloc_type
- typedef _Alloc allocator_type

## Public Member Functions

- _Vector_base (const allocator_type &__a)
- _Vector_base (size_t __n, const allocator_type &__a)
- _Vector_base (_Vector_base &&__x)
- _Tp_alloc_type::pointer _M_allocate (size_t __n)
- void _M_deallocate (typename _Tp_alloc_type::pointer __p, size_t __n)
- _Tp_alloc_type & _M_get_Tp_allocator ()
- const _Tp_alloc_type & _M_get_Tp_allocator () const
- allocator_type get_allocator () const

## Public Attributes

- _Vector_impl _M_impl

## Detailed Description

### template<typename _Tp, typename _Alloc>
struct std::_Vector_base< _Tp, _Alloc >

See bits/stl_deque.h's _Deque_base for an explanation.

Definition at line 69 of file stl_vector.h.

The documentation for this struct was generated from the following file:

- stl_vector.h